/*
 * Global application theme.
 * Framework overrides and customization goes here.
 */

@import "./colors.scss";
// stylelint-disable-next-line selector-max-universal
* {
  box-sizing: border-box;
}

html,
body {
  display: flex;
  flex-direction: column;
  margin: 0;
  height: 100% !important;
}

.container {
  padding: 1.5em;
}

.column-form {
  .mat-form-field {
    max-width: 300px;
  }
}

.input-number-right-align {
  text-align: right !important;
}

input.input-number-right-align::-webkit-outer-spin-button,
input.input-number-right-align::-webkit-inner-spin-button {
  display: none;
}

input.input-number-right-align {
  -moz-appearance: textfield;
}

.active {
  color: $teal !important;
}

.inactive {
  color: $red;
}

.save-btn {
  background-color: $teal !important;
}

.full-loader {
  position: absolute;
  z-index: 99;
  margin-left: calc(50% - 80px);
  margin-top: calc(30%);
}

/* On screens that are 600px or less, set  */

@media screen and (max-width: 600px) {
  .container {
    padding: 1em;
  }
}
